package tracking;

public class Gegner {

    @SuppressWarnings("unused")
    private String typ;
    private boolean hatFK;
    private int feuerweite;

    public Gegner(String typ, boolean hatFK, int feuerweite) {
        this.typ = typ;
        this.hatFK = hatFK;
        this.feuerweite = feuerweite;
    }

    public int knoten(Alarm alert, Eigenschiff e, int abstand) {
        int ergebnis = 42;
        if (alert == Alarm.ROT & abstand < this.feuerweite) {
            ergebnis = e.getMaxKnoten();
        }
        if (alert == Alarm.ORANGE & e.wichtigerAuftrag()) {
            ergebnis = e.sicherheit(e.hatAbwehr(this.hatFK), abstand);
        }
        return ergebnis;
    }
}
